Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter
Class JMeter

    java.lang.Object
      org.apache.jmeter.JMeter

All Implemented Interfaces:
  JMeterPlugin

public class JMeter
extends Object
implements JMeterPlugin

Main JMeter class; processes options and starts the GUI, non-GUI or server as appropriate.

Field Summary
`static String` | `HTTP_PROXY_PASS`
`static String` | `HTTP_PROXY_USER`
`static String` | `JMETER_NON_GUI`

Constructor Summary
`JMeter()`

Method Summary
`static void` | `convertSubTree(HashTree tree)` Refactored from AbstractAction.java
`String[][]` | `getIconMappings()`
`String[][]` | `getResourceBundles()`
`static boolean` | `isNonGUI()` Check if JMeter is running in non-GUI mode.
`void` | `start(String[] args)` Takes the command line arguments and uses them to determine how to startup JMeter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTTP_PROXY_PASS

    public static final String HTTP_PROXY_PASS

See Also:
  Constant Field Values

### HTTP_PROXY_USER

    public static final String HTTP_PROXY_USER

See Also:
  Constant Field Values

### JMETER_NON_GUI

    public static final String JMETER_NON_GUI

See Also:
  Constant Field Values

Constructor Detail

### JMeter

    public JMeter()

Method Detail

### start

    public void start(String[] args)

  Takes the command line arguments and uses them to determine how to startup JMeter.

### convertSubTree

    public static void convertSubTree(HashTree tree)

  Refactored from AbstractAction.java

  Parameters:
    `tree` -

### getIconMappings

    public String[][] getIconMappings()

  Specified by:
    `getIconMappings` in interface `JMeterPlugin`

### getResourceBundles

    public String[][] getResourceBundles()

  Specified by:
    `getResourceBundles` in interface `JMeterPlugin`

### isNonGUI

    public static boolean isNonGUI()

  Check if JMeter is running in non-GUI mode.

  Returns:
    true if JMeter is running in non-GUI mode.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.